#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Metaphone
Summary:	Text::Metaphone - a modern soundex, phonetic encoding of words
Summary(pl.UTF-8):	Text::Metaphone - współczesny soundex, fonetyczne kodowanie słów
Name:		perl-Text-Metaphone
Version:	20081017
Release:	8
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b3c1233c6a6363d5b611f08add1f1120
URL:		http://search.cpan.org/dist/Text-Metaphone/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Metaphone() is a function whereby a string/word is broken down into a
rough approximation of its English phonetic pronunciation. Very
similar in concept and purpose to soundex, but much more comprehensive
in its approach.

%description -l pl.UTF-8
Mataphone() jest funkcją, w której łańcuch lub słowo jest łamane na
zgrubne przybliżenie jego angielskiej wymowy. Moduł jest bardzo
podobny w założeniach i celu do soundeksa, ale jest dużo rozleglejszym
podejściem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Text/Metaphone.pm
%dir %{perl_vendorarch}/auto/Text/Metaphone
%attr(755,root,root) %{perl_vendorarch}/auto/Text/Metaphone/Metaphone.so
%{_mandir}/man3/*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-Metaphone.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> cf75ee9
- x32 rebuild
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8d1be8a
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 038eb41
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 622e8ea
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 5b7c393
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 69476c5
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> fb3c996
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f47dc30
- release 2

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 7d70bf8
- updated to 20081017
- epoch 1

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 3eb7457
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fe34f2b
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 2d93e0c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 9fa33d0
- generic URL

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 0c62e27
- up to 2.00

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9030b7f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d5df0c7
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> cdcd061
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 59cdfcb
- rel. 11

* Thu May 06 2004 ankry <ankry@pld-linux.org> 18f84e4
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> 3d37171
- tests added, license fixed, cosmetics

